#ifndef LINEAR_COMBINATION_HANDLER_H
#define LINEAR_COMBINATION_HANDLER_H

#ifndef LINEAR_COMBINATION_PROTOCOL_H
#include "Linear_combination_protocol.h"
#endif

#ifndef OWN_H
#include "Own.h"
#endif

namespace MM
{

class Linear_combination_handler
{
    Own <Linear_combination_protocol>   impl_;

public:
    virtual Linear_combination_protocol& plus(double a,Parameter_value const& v)
    {
        return impl_().plus (a, v);
    }
    
    virtual ~Linear_combination_handler() {}
};

}//MM

#endif //LINEAR_COMBINATION_HANDLER_H
